Bug 499637 - IOMMU: no free domain ids
IOMMU: no free domain ids
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 10:21 EDT by Mark McLoughlin
Modified: 2009-09-22 09:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 09:36:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-05-07 10:21:26 EDT
After doing a bunch of KVM PCI device assignment test according to:

https://fedoraproject.org/wiki/Test_Day:2009-05-07_Virtualization_KVM_PCI_Device_Assignment

I eventually got:

e1000e 0000:00:19.0: PCI INT A disabled
e1000e 0000:00:19.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
e1000e 0000:00:19.0: setting latency timer to 64
e1000e 0000:00:19.0: irq 29 for MSI/MSI-X
0000:00:19.0: eth0: (PCI Express:2.5GB/s:Width x1) 00:13:20:f5:f9:5a
0000:00:19.0: eth0: Intel(R) PRO/1000 Network Connection
0000:00:19.0: eth0: MAC: 6, PHY: 6, PBA No: ffffff-0ff
IOMMU: no free domain ids
Allocating domain for 0000:00:19.0 failed<3>0000:00:19.0: eth0: Unable to allocate memory for the transmit descriptor ring

During the testing the device is regularly being unbound from and bound to the e1000e driver in the host.

Are we forgetting to release a domain ID when unbinding the device?
Comment 1 Chuck Ebbert 2009-05-08 11:36:13 EDT
Fixed by commit 3199aa6bc8766e17b8f60820c4f78d59c25fce0e ("intel-iommu: fix PCI device detach from virtual machine")? But the comment for that says it fails after being assigned once...
Comment 2 Bug Zapper 2009-06-09 11:20:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mark McLoughlin 2009-09-22 09:36:51 EDT
Okay, that fix is in 2.6.30. Hopefully this is fixed now, I haven't seen it since

Note You need to log in before you can comment on or make changes to this bug.